org.eclipse.rdf4j.model.vocabulary

## Class SPL

- java.lang.Object
- - org.eclipse.rdf4j.model.vocabulary.SPL

-     public final class SPL
      extends Object

  SPIN Standard Module library.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IRI` | `ARGUMENT_TEMPLATE` http://spinrdf.org/spl#Argument Provides metadata about an argument of a SPIN Function or Template.
    `static IRI` | `DEFAULT_VALUE_PROPERTY` http://spinrdf.org/spl#defaultValue
    `static String` | `NAMESPACE` http://spinrdf.org/spl
    `static IRI` | `OBJECT_FUNCTION` http://spinrdf.org/spl#object
    `static IRI` | `OPTIONAL_PROPERTY` http://spinrdf.org/spl#optional
    `static IRI` | `PREDICATE_PROPERTY` http://spinrdf.org/spl#predicate
    `static String` | `PREFIX`
    `static IRI` | `VALUE_TYPE_PROPERTY` http://spinrdf.org/spl#valueType

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE

          public static final String NAMESPACE

      http://spinrdf.org/spl
      See Also:
        Constant Field Values

    - #### PREFIX

          public static final String PREFIX

      See Also:
        Constant Field Values

    - #### ARGUMENT_TEMPLATE

          public static final IRI ARGUMENT_TEMPLATE

      http://spinrdf.org/spl#Argument Provides metadata about an argument of a SPIN Function or Template.

    - #### PREDICATE_PROPERTY

          public static final IRI PREDICATE_PROPERTY

      http://spinrdf.org/spl#predicate

    - #### VALUE_TYPE_PROPERTY

          public static final IRI VALUE_TYPE_PROPERTY

      http://spinrdf.org/spl#valueType

    - #### OPTIONAL_PROPERTY

          public static final IRI OPTIONAL_PROPERTY

      http://spinrdf.org/spl#optional

    - #### DEFAULT_VALUE_PROPERTY

          public static final IRI DEFAULT_VALUE_PROPERTY

      http://spinrdf.org/spl#defaultValue

    - #### OBJECT_FUNCTION

          public static final IRI OBJECT_FUNCTION

      http://spinrdf.org/spl#object

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.